% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 5: Máquinas de Vectores Soporte
% Autores: Jesús Antonio Vega Sánchez y Sebastián Dormido Canto

function [w2,tp]=wav2(senal2)

lnivel=get(findobj('Tag','PopupMenuNivel'),'String');
inivel=get(findobj('Tag','PopupMenuNivel'),'Value');
nivel=lnivel(inivel,:);
lwavelet=get(findobj('Tag','PopupMenuWavelet'),'String');
iwavelet=get(findobj('Tag','PopupMenuWavelet'),'Value');
wavelet=lwavelet(iwavelet,:);
w2=[];

if and(not(isempty(nivel)),not(isempty(wavelet)))
   
   nivel=str2num(nivel);
   
   %Obtiene Descomposición de Wavelet del último nivel
   opcion=get(findobj('Tag','RadioButtonA'),'UserData');

   t=cputime;  
   
   %Obtiene Wavelet de Senal
	[c,s]=wavedec2(senal2,nivel,wavelet);
   
   if opcion=='a'
      w2 = appcoef2(c,s,wavelet,nivel);
   else
      w2=detcoef2(opcion,c,s,nivel);
   end;
   
   %Tiempo de Procesamiento
   tp=cputime-t;
   
end;   
   
 
   
   
